Skip Menu |
 

This queue is for tickets about the Gtk2-Ex-PrintDialog CPAN distribution.

Report information
The Basics
Id: 129438
Status: open
Priority: 0/
Queue: Gtk2-Ex-PrintDialog

People
Owner: gbrown [...] cpan.org
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.03
Fixed in: (no value)



Subject: PREREQ_FATAL=>1 should not be used
Download (untitled) / with headers
text/plain 467b
Looking at the following log from an automatic installation (using CPAN.pm) it seems that PREREQ_FATAL=>1 is used in the Makefile.PL --- but this should not be done, as it prevents automatic installation of dependencies. Best to remove PREREQ_FATAL completely. ... Output from '/opt/perl-5.22.3D/bin/perl Makefile.PL': MakeMaker FATAL: prerequisites not found. Locale::gettext not installed Please install these modules first and rerun 'perl Makefile.PL'. ...
Download (untitled) / with headers
text/plain 709b
Are you using this module or was this bug found by an automated test? Gtk2 is obsolete so I don't think fixing this bug is worth doing unless someone is still using it. On Sat May 04 09:52:34 2019, SREZIC wrote: Show quoted text
> Looking at the following log from an automatic installation (using > CPAN.pm) it seems that PREREQ_FATAL=>1 is used in the Makefile.PL --- > but this should not be done, as it prevents automatic installation of > dependencies. Best to remove PREREQ_FATAL completely. > > ... > Output from '/opt/perl-5.22.3D/bin/perl Makefile.PL': > > MakeMaker FATAL: prerequisites not found. > Locale::gettext not installed > > Please install these modules first and rerun 'perl Makefile.PL'. > ...
Download (untitled) / with headers
text/plain 852b
On 2019-05-08 23:18:41, GBROWN wrote: Show quoted text
> Are you using this module or was this bug found by an automated test?
Same answer as in https://rt.cpan.org/Ticket/Display.html?id=129425 Show quoted text
> > Gtk2 is obsolete so I don't think fixing this bug is worth doing > unless someone is still using it. > > On Sat May 04 09:52:34 2019, SREZIC wrote:
> > Looking at the following log from an automatic installation (using > > CPAN.pm) it seems that PREREQ_FATAL=>1 is used in the Makefile.PL --- > > but this should not be done, as it prevents automatic installation of > > dependencies. Best to remove PREREQ_FATAL completely. > > > > ... > > Output from '/opt/perl-5.22.3D/bin/perl Makefile.PL': > > > > MakeMaker FATAL: prerequisites not found. > > Locale::gettext not installed > > > > Please install these modules first and rerun 'perl Makefile.PL'. > > ...


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.